Subject: bug#76116: 14.0.8; hyperref command bug

From: Ikumi Keita <[email-masked]>
Date: Fri, 07 Feb 2025 22:16:59 +0900

Hi Lei,

>>>>> Lei Zhao <[email-masked]> writes:
> I have found the cause of the bug. It was caused by the function
> `TeX-arg-label`.  After I add the following advice, the bug goes away.

> (defun lfj-TeX-arg-label (optional &optional prompt definition)
>   (TeX-argument-insert
>    (TeX-read-label optional prompt definition) optional))
> (advice-add 'TeX-arg-label :override 'lfj-TeX-arg-label)

> The original function was trying to add `t` as a prefix for
> `TeX-argument-insert`, which results in the aforementioned bug.

Thank you. It's definitely wrong to pass `optional' as PREFIX argument
to `TeX-argument-insert'. I'll fix this.

I noticed that `TeX-arg-index' and `TeX-arg-cite' share this bug as
well. Maybe there are still more.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW